Bug 959727 - Configure Volume Name field inconsistently sets btrfs volume name
Summary: Configure Volume Name field inconsistently sets btrfs volume name
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: anaconda
Version: 19
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: David Lehman
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: newui-container
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2013-05-05 05:01 UTC by Chris Murphy
Modified: 2013-05-18 04:55 UTC (History)
7 users (show)

Fixed In Version: pykickstart-1.99.31-1.fc19
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2013-05-18 04:55:29 UTC


Attachments (Terms of Use)
anaconda.log (110.01 KB, text/plain)
2013-05-05 05:05 UTC, Chris Murphy
no flags Details
storage.log (2.38 MB, text/plain)
2013-05-05 05:05 UTC, Chris Murphy
no flags Details
program.log (31.93 KB, text/plain)
2013-05-05 05:06 UTC, Chris Murphy
no flags Details
storage.state (32.00 KB, application/octet-stream)
2013-05-05 05:07 UTC, Chris Murphy
no flags Details

Description Chris Murphy 2013-05-05 05:01:39 UTC
Description of problem:
In Manual Partitioning, Configure Volume, Name field inconsistently sets the

Version-Release number of selected component (if applicable):
anaconda 19.24-1

How reproducible:
Unknown.

Steps to Reproduce:
1. Create mount point /home, with Configure Volume Name field set to "fedoraR1"
2. Create mont point /, with Configure Volume Name field set to "fedoraR0"

  
Actual results:
'btrfs fi show' lists the /home btrfs volume label is 'fedoraR1'; while the / btrfs volume label is 'fedora'.

Expected results:
/ btrfs volume label should be 'fedoraR0'

Additional info:
Unclear if this affects LVM.

Comment 1 Chris Murphy 2013-05-05 05:05:24 UTC
Created attachment 743676 [details]
anaconda.log

Shows I requested two volumes with volume labels of fedoraR0 and fedoraR1

Comment 2 Chris Murphy 2013-05-05 05:05:54 UTC
Created attachment 743677 [details]
storage.log

Also shows I requested two volumes with volume labels of fedoraR0 and fedoraR1

Comment 3 Chris Murphy 2013-05-05 05:06:28 UTC
Created attachment 743678 [details]
program.log

fedoraR0 isn't indicated at all in this log, but --label=fedora and --label=fedoraR1 are.

Comment 4 Chris Murphy 2013-05-05 05:07:26 UTC
Created attachment 743679 [details]
storage.state

Comment 5 Chris Murphy 2013-05-12 18:10:15 UTC
It's still an issue in anaconda 19.25-1, where two separate Btrfs volumes (one raid0 and one raid1) with different names, only one of the volumes has the user specified name, the other is merely "fedora" as shown in the Label field with 'btrfs fi show'.

Comment 7 Fedora Update System 2013-05-15 22:25:36 UTC
anaconda-19.27-1.fc19, pykickstart-1.99.31-1.fc19, python-blivet-0.14-1.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/python-blivet-0.14-1.fc19,pykickstart-1.99.31-1.fc19,anaconda-19.27-1.fc19

Comment 8 Fedora Update System 2013-05-16 05:22:03 UTC
Package anaconda-19.27-1.fc19, pykickstart-1.99.31-1.fc19, python-blivet-0.14-1.fc19:
* should fix your issue,
* was pushed to the Fedora 19 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing anaconda-19.27-1.fc19 pykickstart-1.99.31-1.fc19 python-blivet-0.14-1.fc19'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2013-8322/python-blivet-0.14-1.fc19,pykickstart-1.99.31-1.fc19,anaconda-19.27-1.fc19
then log in and leave karma (feedback).

Comment 9 Fedora Update System 2013-05-17 22:19:32 UTC
Package pykickstart-1.99.31-1.fc19, anaconda-19.28-1.fc19, python-blivet-0.14-1.fc19:
* should fix your issue,
* was pushed to the Fedora 19 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing pykickstart-1.99.31-1.fc19 anaconda-19.28-1.fc19 python-blivet-0.14-1.fc19'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2013-8322/python-blivet-0.14-1.fc19,pykickstart-1.99.31-1.fc19,anaconda-19.28-1.fc19
then log in and leave karma (feedback).

Comment 10 Fedora Update System 2013-05-18 04:55:29 UTC
pykickstart-1.99.31-1.fc19, anaconda-19.28-1.fc19, python-blivet-0.14-1.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.